package cn.imyjs.utils;

import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @Classname COSUtils
 * @Description 读取配置文件application.properties中的配置
 * @Date 2022/8/14 16:31
 * @Created by YJS
 * @WebSite www.imyjs.cn
 */
@Component
public class COSUtils implements InitializingBean {
    @Value("${tencent.cos.region}")
    private String region;

    @Value("${tencent.cos.secretid}")
    private String secretId;

    @Value("${tencent.cos.secretkey}")
    private String secretKey;

    @Value("${tencent.cos.bucketname}")
    private String bucketName;

    public static String END_POINT;
    public static String ACCESS_KEY_ID;
    public static String ACCESS_KEY_SECRET;
    public static String BUCKET_NAME;

    @Override
    public void afterPropertiesSet() throws Exception {
        END_POINT = region;
        ACCESS_KEY_ID = secretId;
        ACCESS_KEY_SECRET = secretKey;
        BUCKET_NAME = bucketName;
    }
}
